﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using Xlsx.DataBinder.Extensions;

namespace Xslx.DataBinder.Tests.DataBinder.Extensions
{

    [TestClass]
    public class ObjectExtensionsTest
    {
        [TestMethod]
        public void TestIsBindable()
        {
            var bindable = new Bindable();
            var isBindable = bindable.IsBindable();
            Assert.IsTrue(isBindable);            
        }

        [TestMethod]
        public void TestIsNonBindable()
        {
            var nonBindable = new NonBindable();
            var isNonBindable = !nonBindable.IsBindable();
            Assert.IsTrue(isNonBindable);
        }
    }
}
