﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using Xlsx.ComponentModel;
using Xlsx.ComponentModel.DataAnnotations;
using Xlsx.DataBinder.Extensions;

namespace Xslx.DataBinder.Tests.DataBinder.Extensions
{
    [TestClass]
    public class XlsxDataSheetExtensionsTest
    {
        [TestMethod]
        public void TestIsValid()
        {
            var dataSheet = new XlsxDataSheet<Bindable>();

            Assert.IsTrue(dataSheet.IsValid());
        }

        [TestMethod]
        public void TestIsNotValid()
        {
            var dataSheet = new XlsxDataSheet<NonBindable>();

            Assert.IsFalse(dataSheet.IsValid());
        }
    }
}
