﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Xlsx.DataBinder;

namespace Xslx.DataBinder.Tests.DataBinder
{
    [TestClass]
    public class XlsxHelperTest
    {
        [TestMethod]
        public void TestGetColumnName()
        {
            var expectedSingle = "A";
            var expectedDouble = "AA";

            var actualSingle = XlsxHelper.GetColumnName(0);
            var actualDouble = XlsxHelper.GetColumnName(26);

            Assert.AreEqual(expectedSingle, actualSingle);
            Assert.AreEqual(expectedDouble, actualDouble);
        }
    }
}
